/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebGridValidationStateDescription } from "./WebGridValidationStateDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebRecordValidationStateDescription = /*@__PURE__*/ (() => {
    class WebRecordValidationStateDescription extends WebGridValidationStateDescription {
        constructor() {
            super();
            this.o = null;
            this.m = null;
        }
        get_type() {
            return "WebRecordValidationState";
        }
        get key() {
            return this.o;
        }
        set key(a) {
            this.o = a;
            this.g("Key");
        }
        get fields() {
            return this.m;
        }
        set fields(a) {
            this.m = a;
            this.g("Fields");
        }
    }
    WebRecordValidationStateDescription.$t = markType(WebRecordValidationStateDescription, 'WebRecordValidationStateDescription', WebGridValidationStateDescription.$);
    return WebRecordValidationStateDescription;
})();
